com.genesyslab.wfm8.API.service.schedule852

## Class SchStateInfo

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchStateInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateInfo
      extends java.lang.Object
      implements java.io.Serializable

  Carries Schedule State descriptive information, such as name and short name
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmActivitySetId` An ID of `Activity Set` to which `Activity` belongs.
    `protected int` | `wmColor` Schedule state RGB color value.
    `protected int` | `wmFontColor` Schedule state font RGB color value.
    `protected boolean` | `wmFullDay` Specifies whether state is full-day or part-day.
    `protected java.lang.String` | `wmName` Schedule State Name
    `protected java.lang.String` | `wmShortName` Schedule State Short Name
    `protected int` | `wmStateId` State ID: identifies Schedule State, together with "wmStateType".
    `protected int` | `wmStateType` State type `ESchStateType`
    `protected int` | `wmTradeRule` Specifies trade rule for the schedule state.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmActivitySetId()` Gets the value of the wmActivitySetId property.
    `int` | `getWmColor()` Gets the value of the wmColor property.
    `int` | `getWmFontColor()` Gets the value of the wmFontColor property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `int` | `getWmStateId()` Gets the value of the wmStateId property.
    `int` | `getWmStateType()` Gets the value of the wmStateType property.
    `int` | `getWmTradeRule()` Gets the value of the wmTradeRule property.
    `int` | `hashCode()`
    `boolean` | `isWmFullDay()` Gets the value of the wmFullDay property.
    `void` | `setWmActivitySetId(int value)` Sets the value of the wmActivitySetId property.
    `void` | `setWmColor(int value)` Sets the value of the wmColor property.
    `void` | `setWmFontColor(int value)` Sets the value of the wmFontColor property.
    `void` | `setWmFullDay(boolean value)` Sets the value of the wmFullDay property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmStateId(int value)` Sets the value of the wmStateId property.
    `void` | `setWmStateType(int value)` Sets the value of the wmStateType property.
    `void` | `setWmTradeRule(int value)` Sets the value of the wmTradeRule property.
    `java.lang.String` | `toString()`
    `SchStateInfo` | `withWmActivitySetId(int value)`
    `SchStateInfo` | `withWmColor(int value)`
    `SchStateInfo` | `withWmFontColor(int value)`
    `SchStateInfo` | `withWmFullDay(boolean value)`
    `SchStateInfo` | `withWmName(java.lang.String value)`
    `SchStateInfo` | `withWmShortName(java.lang.String value)`
    `SchStateInfo` | `withWmStateId(int value)`
    `SchStateInfo` | `withWmStateType(int value)`
    `SchStateInfo` | `withWmTradeRule(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStateType

          protected int wmStateType

      State type `ESchStateType`

    - #### wmStateId

          protected int wmStateId

      State ID: identifies Schedule State, together with "wmStateType".

    - #### wmName

          protected java.lang.String wmName

      Schedule State Name

    - #### wmShortName

          protected java.lang.String wmShortName

      Schedule State Short Name

    - #### wmActivitySetId

          protected int wmActivitySetId

      An ID of `Activity Set` to which `Activity` belongs. Used with SCH_STATE_ACTIVITY state type only.

    - #### wmFullDay

          protected boolean wmFullDay

      Specifies whether state is full-day or part-day. (true/false)

    - #### wmTradeRule

          protected int wmTradeRule

      Specifies trade rule for the schedule state. `ECfgTradeRule`

    - #### wmColor

          protected int wmColor

      Schedule state RGB color value. A value of -1 stands for NULL.

    - #### wmFontColor

          protected int wmFontColor

      Schedule state font RGB color value. A value of -1 stands for NULL.

  - ### Constructor Detail

    - #### SchStateInfo

          public SchStateInfo()

  - ### Method Detail

    - #### getWmStateType

          public int getWmStateType()

      Gets the value of the wmStateType property.

    - #### setWmStateType

          public void setWmStateType(int value)

      Sets the value of the wmStateType property.

    - #### getWmStateId

          public int getWmStateId()

      Gets the value of the wmStateId property.

    - #### setWmStateId

          public void setWmStateId(int value)

      Sets the value of the wmStateId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the value of the wmActivitySetId property.

    - #### setWmActivitySetId

          public void setWmActivitySetId(int value)

      Sets the value of the wmActivitySetId property.

    - #### isWmFullDay

          public boolean isWmFullDay()

      Gets the value of the wmFullDay property.

    - #### setWmFullDay

          public void setWmFullDay(boolean value)

      Sets the value of the wmFullDay property.

    - #### getWmTradeRule

          public int getWmTradeRule()

      Gets the value of the wmTradeRule property.

    - #### setWmTradeRule

          public void setWmTradeRule(int value)

      Sets the value of the wmTradeRule property.

    - #### getWmColor

          public int getWmColor()

      Gets the value of the wmColor property.

    - #### setWmColor

          public void setWmColor(int value)

      Sets the value of the wmColor property.

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the value of the wmFontColor property.

    - #### setWmFontColor

          public void setWmFontColor(int value)

      Sets the value of the wmFontColor property.

    - #### withWmStateType

          public SchStateInfo withWmStateType(int value)

    - #### withWmStateId

          public SchStateInfo withWmStateId(int value)

    - #### withWmName

          public SchStateInfo withWmName(java.lang.String value)

    - #### withWmShortName

          public SchStateInfo withWmShortName(java.lang.String value)

    - #### withWmActivitySetId

          public SchStateInfo withWmActivitySetId(int value)

    - #### withWmFullDay

          public SchStateInfo withWmFullDay(boolean value)

    - #### withWmTradeRule

          public SchStateInfo withWmTradeRule(int value)

    - #### withWmColor

          public SchStateInfo withWmColor(int value)

    - #### withWmFontColor

          public SchStateInfo withWmFontColor(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.